/* tableFieldKey.C

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#include "system.h"

#include "tableFieldKey.h"
#include "tableDef.h"

TableFieldKey::
TableFieldKey(TableID table_id, int field_id) :
  _table_id(table_id), _field_id(field_id) { 
}

bool TableFieldKey::
operator < (const TableFieldKey &other) const {
  if (_table_id != other._table_id) {
    return _table_id < other._table_id;
  }
  return _field_id < other._field_id;
}

bool TableFieldKey::
operator == (const TableFieldKey &other) const {
  return ((_table_id == other._table_id) &&
	  (_field_id == other._field_id));
}

const TableField &TableFieldKey::
get_field() const {
  return TableDef::get_table(_table_id)->get_field(_field_id);
}
